Bug 499980 - ISE on trying to add the same packages twice to the channels.
ISE on trying to add the same packages twice to the channels.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Jay Dobies
Preethi Thomas
:
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-05-09 14:55 EDT by Preethi Thomas
Modified: 2009-09-10 16:36 EDT (History)
0 users

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:36:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ise on add package page (8.04 KB, application/octet-stream)
2009-05-09 14:55 EDT, Preethi Thomas
no flags Details

  None (edit)
Description Preethi Thomas 2009-05-09 14:55:09 EDT
Created attachment 343231 [details]
ise on add package page

Description of problem:
ISE on trying to add the same packages twice to the channels.

Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20090507.1-i386-embedded-oracle.iso

How reproducible:


Steps to Reproduce:

1.rhnpush a couple of packages to the satellite(not to any particular channels)
2.create a custom channel
3. click on the package tab
4. click on Add tab
5. select the packages to add and confirm additions
6. Click on Add packages button
7. Now click on the browser's back button and click on Add packages button.
  
Actual results:

ISE
Expected results:
Message saying the package is already added.

Additional info:
The following exception occurred while executing this request:
POST /rhn/channels/manage/ChannelPackagesAddConfirm.do

Date:5/9/09 2:49:42 PM EDT
Headers:
  host: rlx-0-10.rhndev.redhat.com
  user-agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.2) Gecko/2008091816 Red Hat/3.0.2-3.el5 Firefox/3.0.2
  accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
  accept-language: en-us,ar;q=0.8,ja;q=0.5,ml;q=0.3
  accept-encoding: gzip,deflate
  accept-charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
  Keep-Alive: 300
  connection: keep-alive
  referer: https://rlx-0-10.rhndev.redhat.com/rhn/channels/manage/ChannelPackagesAddConfirm.do?cid=125
  cookie: JSESSIONID=71E9D739E1A07DE36FF7D2C7DECB5529; rh_omni_tc=70160000000H4AjAAK; s_vi=[CS]v1|4A033B6100005E60-A3A084D0000082F[CE]; pxt-session-cookie=853xa57d1b6be05b2034eb58b7677d1a1c84
  content-type: application/x-www-form-urlencoded
  content-length: 272

Request:
Local Name = rlx-0-10.rhndev.redhat.com
Server Name = rlx-0-10.rhndev.redhat.com
Requested Session Id came from Cookie
Requested Session Valid = true
Session = org.apache.catalina.session.StandardSessionFacade@1bca1bca[session=StandardSession[71E9D739E1A07DE36FF7D2C7DECB5529]]
Protocol = https
Request Locale = en_US
Request Character Encoding = UTF-8
Attribute Names = rhnActiveLang, javax.servlet.jsp.jstl.fmt.timeZone.request, javax.servlet.request.key_size, javax.servlet.request.ssl_session, org.apache.struts.action.MESSAGE, javax.servlet.request.cipher_suite, parentUrl, channel_name, pageList, org.apache.struts.action.MODULE, __sitemesh__filterapplied, session, org.apache.struts.action.mapping.instance, requestedUri, cid,

Form Variables:
  confirm: Add Package(s)
  list_4021519721_filterby: Package Name
  list_4021519721_oldfilterval:
  list_4021519721_filterval:
  4021519721_PAGE_SIZE_LABEL_SELECTED: null
  list_4021519721_sortby: nvrea
  4021519721_PAGE_SIZE_LABEL: 25
  cid: 125
  list_4021519721_sortdir: asc
  submitted: true
Comment 1 Jay Dobies 2009-05-13 14:01:08 EDT
Master
commit	e3a1ca0336e797e8ac6896b2df824b5c018c3d1c
tree	d61fd480f735e4bddfcbdea3e8d1b581674d2235

Vader
commit	9b0be5f70ea42ba18f4811ed0cc1604db85b0ad5
tree	7fe62b20a963302c4e511bbdd28e2cf792c60cbc

java/code/src/com/redhat/rhn/frontend/action/channel/manage/ChannelPackagesAddConfirmAction.java
java/code/webapp/WEB-INF/pages/channel/manage/confirmaddpackages.jsp

Clear the set after adding the packages in case the user hits the back button and tries to submit it twice. The second submission will then indicate that there are no packages in the set and the user will be allowed to pick from a valid list of packages that can be added.
Comment 2 Preethi Thomas 2009-06-03 08:45:31 EDT
verified
no ISE
ISO: Satellite-5.3.0-RHEL5-re20090529.0-i386-embedded-oracle.iso
Comment 3 Preethi Thomas 2009-09-01 10:51:54 EDT
Release pending
http://sun-x4200-01.rhts.bos.redhat.com
Comment 4 Brandon Perkins 2009-09-10 16:36:40 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.